library ieee;
use ieee.std_logic_1164.all;

entity tri_state_enable is
port(
	clk,SW17 : in std_logic;
	enable: out std_logic
);
end entity tri_state_enable;

architecture struct of tri_state_enable is
begin
	functional : process(clk) 
	begin
		if(rising_edge(clk)) then
			if(SW17 = '0') then --Active low reset
				enable <= '0';
			elsif(SW17 = '1') then --Select lowpass
				enable <= '1';		
			else
				enable <= '0';
			end if;
		end if;
	end process;
end architecture;